# $Id: e-smith-radiusd.spec,v 1.26 2022/04/17 18:27:00 jpp Exp $

Summary: smeserver server and gateway - configure PPTP inbound VPN
%define name smeserver-radiusd
Name: %{name}
%define version 11.0.0
%define release 2
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: smeserver-base >= 4.13.16-27
Requires: smeserver-lib >= 1.15.1-16
Requires: freeradius >= 2.1.12
Requires: freeradius-ldap >= 2.1.12
Requires: radiusclient-ng >= 0.5.6
Obsoletes: radiusclient <= 0.3.2
BuildRequires: smeserver-devtools >= 1.13.1-03
BuildArchitectures: noarch
%define stunnelid 451

Provides: e-smith-radiusd
%description
smeserver server and gateway - configure radius server

%changelog
* Sat Mar 23 2024 Brian Read <brianr@koozali.org>11.0.0-2.sme
- Change Requires: e-smith- to Requires:smeserver-

* Sat Mar 23 2024 Brian Read <brianr@koozali.org>11.0.0-1.sme
- Update Release and Version to base version and 1st release for SME11 [SME: 12518]

* Mon Mar 11 2024 rename-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.6.0-25.sme
- Rename to smeserver-radiusd [SME: 12359]

* Wed Jul 12 2023 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.6.0-24.sme
- Roll up patches and move to git repo [SME: 12338]

* Wed Jul 12 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Tue Oct 27 2010 --> Tue Oct 26 2010 or Wed Oct 27 2010 or Tue Nov 02 2010 or ....

* Sun Apr 17 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-23.sme
- redirect daemon log to its own file [SME: 11947]

* Thu Feb 17 2022 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-22.sme
- workaround upstream missing definition of /var/run/radiusd/tmp [SME: 11859]

* Thu Nov 18 2021 Terry Fage <tfage@yahoo.com.au> 2.6.0-21.sme
- fix startup informational message Duplicate Auth-Type 'REJECT' [SME: 11736]
- patch was blank, populate and apply [SME: 11736]

* Mon Nov 15 2021 John H. Bennett III <bennettj@johnbennettservices.com> 2.6.0-20.sme
- fix startup informational message Duplicate Auth-Type 'REJECT' [SME: 11736]

* Mon Nov 08 2021 John H. Bennett III <bennettj@johnbennettservices.com> 2.6.0-19.sme
- add db property PAP-auth [SME: 11735]

* Sat Nov 06 2021 John H. Bennett III <bennettj@johnbennettservices.com> 2.6.0-18.sme
- add/fix PAP-auth patch [SME: 11735]

* Thu Nov 04 2021 John H. Bennett III <bennettj@johnbennettservices.com> 2.6.0-17.sme
- fix WAP-auth patch [SME: 11718]
- fix LDAP-auth patch [SME: 11719]

* Mon Aug 23 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-16.sme
- fix ssl template metadata patch [SME: 11680]

* Wed Jun 02 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-15.sme
- remove services2adjust in bootstrap-console-save event, this put systemd in a loop [SME: 11602]

* Mon May 31 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.0-14.sme
- ssl pem using template in place of copy [SME: 11602]

* Sun Jan 03 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-13.sme
- radiusd needs ldap started before [SME: 11302]

* Sat Jan 02 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-12.sme
- add Restart=always [SME: 11113]
  change group of pem file to radiusd

* Tue Dec 08 2020 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-11.sme
- create -update event [SME: 11155]
- move radiusd to systemd {SME: 11113]
  remove noise from spec file 

* Thu Dec 19 2019 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-9.sme
- fix server restartting with virtual_server error  [SME: 10853]

* Tue Apr 12 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-8.sme
- escaped {} characters in ldap template [SME: 9434]

* Sun Apr 10 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-7.sme
- fix typo [SME: 9434]

* Wed Apr 06 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-6.sme
- more  adjustements regarding [SME: 9434]
- e-smith-radiusd-2.6.0-freeradius3bis.patch
- e-smith-radiusd-2.6.0-freeradius3ter.patch

* Fri Apr 01 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-3.sme
- fix directorie rpm ownership [SME: 9425]

* Fri Apr 01 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-2.sme
- updated syntax and conf files for freeradius3 server [SME: 9409]

* Fri Feb 05 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 2.6.0-1.sme
- Initial release to sme10

* Sat Jun 8 2013 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-10.sme
- the config file is radiusclient.conf, not radiusclient-ng.conf [SME: 7546]

* Thu Jun 6 2013 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-9.sme
- Add templates for radiusclient-ng.conf file to remove binaddr
  directive [SME: 7546]

* Sun Apr 14 2013 Charlie Brady <charlie_brady@mitel.com> 2.4.0-8.sme
- Add directive to options.pptpd so that radius plugin can find the
  radiusclient configuration file. [SME: 7546]

* Sat Apr 13 2013 Charlie Brady <charlie_brady@mitel.com> 2.4.0-7.sme
- Fix permissions of /etc/radiusclient-ng/servers. [SME: 7548]

* Mon Mar 11 2013 Shad L. Lords <slords@mail.com> 2.4.0-6.sme
- Obsolete el5 version of radiusclient [SME: 7273]

* Thu Feb 21 2013 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-5.sme
- Use the new listen directive instead of bind_address which is deprecated [SME: 7377]

* Mon Feb 18 2013 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-4.sme
- Send log to stdout [SME: 7251]

* Thu Feb 14 2013 Shad L. Lords <slords@mail.com> 2.4.0-3.sme
- Add requires for freeradius-ldap module [SME: 7252]

* Thu Feb 14 2013 Shad L. Lords <slords@mail.com> 2.4.0-2.sme
- Update radiusclient to radiusclient-ng

* Wed Feb 13 2013 Shad L. Lords <slords@mail.com> 2.4.0-1.sme
- Roll new stream for sme9

* Mon Nov 1 2010 Shad L. Lords <slords@mail.com> 2.2.0-4.sme
- Auth against ldap if it is master [SME: 6323]

* Wed Oct 27 2010 Shad L. Lords <slords@mail.com> 2.2.0-3.sme
  Tue Oct 27 2010 --> Tue Oct 26 2010 or Wed Oct 27 2010 or Tue Nov 02 2010 or ....
- Add ldap as an auth type to radius [SME: 6313]

* Tue Jun 2 2009 Shad L. Lords <slords@mail.com> 2.2.0-2.sme
- Fix owner/perms for radius files [SME: 5317]

* Tue Oct 7 2008 Shad L. Lords <slords@mail.com> 2.2.0-1.sme
- Roll new stream to separate sme7/sme8 trees [SME: 4633]

* Wed Aug 20 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0.0-18
- Allow for multiple auth modules in radiusd.conf [SME: 4166]

* Sat Aug 09 2008 Gavin Weight <gweight@gmail.com> 1.0.0-17
- Remove the Requires kernel =>2.4 line. [SME: 4483]

* Fri May 18 2007 Federico Simoncelli <federico.simoncelli@gmail.com> 1.0.0-16
- Added support for fixed ip addresses in the pptp vpn [SME: 1230]

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Fri Apr 06 2007 Shad L. Lords <slords@mail.com> 1.0.0-14
- Fix perms on servers file [SME: 2720]

* Fri Apr 06 2007 Shad L. Lords <slords@mail.com> 1.0.0-14
- Fix perms on client.conf file [SME: 2708]

* Wed Mar 07 2007 Shad L. Lords <slords@mail.com> 1.0.0-13
- Break up auth template to allow customization [SME: 2565]

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-12
- Bump release number only

* Tue Sep 27 2005 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-11]
- Fix run script so that output actually goes to the logger. [SF: 1280982]

* Mon Sep 26 2005 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-10]
- Make sure that the log/run script is executable, and that
  the log directory exists. [SF: 1280982]
- Make sure that stunnel user exists, by making sure that
  %pre script works :-) (%stunnelid was not defined).

* Mon Sep 26 2005 Gordon Rowell <gordonr@e-smith.com>
- [1.0.0-9]
- Add a log/run script [SF: 1280982]

* Fri Sep  2 2005 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-8]
- Make sure that stunnel user exists, by %pre script.

* Mon Jul 18 2005 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-7]
- [More updates from Shad.]
- Add accounting into radiusd
- Let radius do its own normal logging

* Tue Jul 12 2005 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-6]
- Expand /etc/raddb/users in user-lock [SF: 1225995]
- Expand sigterm in password-modify, ldap-update [SF: 1225995]

* Fri Jun 24 2005 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-5]
- Expand /etc/raddb/users in password-modify event [SF: 1215401]

* Fri Jun 24 2005 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-4]
- Add missing patch to allow local hosts to be radius clients. [SF: 1215401]

* Thu Jun 16 2005 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-3]
- Use e-smith-services startup symlink for radiusd, so that 'status'
  property is honoured. [SF: 1215401]

* Tue Jun 14 2005 Charlie Brady <charlieb@e-smith.com>
- [1.0.0-2]
- Patches from Shad to automate radiusd startup, and to allow local hosts to
  be radius clients. [SF: 1215401]

* Mon Jun 13 2005 Shad L. Lords <slords@mail.com>
- [1.0.0-1]
- initial

%prep
%setup
rm -rf root/service root/var/service root/var/log/radiusd 
mkdir -p root/var/log/stunnel/ssl 

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-%{release}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    --file /sbin/e-smith/systemd/radiusd-configure 'attr(0554,root,root)' \
    --file /sbin/e-smith/systemd/radiusd-certificate 'attr(0554,root,root)' \
    --dir /var/service/radiusd 'attr(01755,root,root)' \
    --dir /var/log/stunnel 'attr(0755,stunnel,stunnel)' \
    --dir /var/log/stunnel/ssl 'attr(0755,stunnel,stunnel)' \
 |sed -e '/%dir %attr(0755,root,root) \/etc\/raddb/d' \
 |sed  -e '/%dir %attr(0755,root,root) \/etc\/raddb\/mods-enabled/d' \
    > %{name}-%{version}-%{release}-filelist
echo "%doc COPYING" >> %{name}-%{version}-%{release}-filelist

%pre
/sbin/e-smith/create-system-user stunnel %{stunnelid} \
    'chrooted stunnel user user' /var/log/stunnel/ssl /bin/false
if [ $1 -gt 1 ] ; then
  if [ -e /var/service/radiusd/run ] ; then
        /usr/bin/sv d radiusd
        /usr/bin/sv d radiusd/log
  fi
fi


%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
